import java.lang.*;
import java.awt.*;

public class constants{
	final static boolean EMBOSS = true;
	final static boolean DEBOSS = false;

	final static int MOVE_DOWN = 0;
	final static int DROP = 1;
	final static int MOVE_LEFT = 2;
	final static int MOVE_RIGHT = 3;
	final static int ROTATE = 4;

	final static int START = 0;
	final static int NEW = 1;
	final static int QUIT = 2;
	final static int ABOUT = 3;
	final static int SCORE = 4;

	final static int EMPTY = 0;
	final static int BLUE = 1;
	final static int RED = 2;
	final static int GREEN = 3;
	final static int YELLOW = 4;
	final static int PURPLE = 5;
	final static int ORANGE = 6;
	final static int LTBLUE = 7;


	final static boolean TURN_RIGHT = false;
	final static boolean TURN_LEFT = true;

	static Color TEST_COLOR = new Color(255,0,255);
	static Color BLACK = new Color(0,0,0);

	static Color BLUE_HILIGHT = new Color(128,128,255);
	static Color BLUE_NORMAL = new Color(0,0,255);
	static Color BLUE_SHADOW = new Color(34,34,178);

	static Color RED_HILIGHT = new Color(250,110,110);
	static Color RED_NORMAL = new Color(245,0,0);
	static Color RED_SHADOW = new Color(178,50,50);

	static Color PURPLE_HILIGHT = new Color(220,40,220);
	static Color PURPLE_NORMAL = new Color(190,0,190);
	static Color PURPLE_SHADOW = new Color(160,0,160);

	static Color ORANGE_HILIGHT = new Color(244,172,88);
	static Color ORANGE_NORMAL = new Color(255,128,0);
	static Color ORANGE_SHADOW = new Color(208,113,0);

	static Color LTBLUE_HILIGHT = new Color(150,150,200);
	static Color LTBLUE_NORMAL = new Color(120,120,200);
	static Color LTBLUE_SHADOW = new Color(90,90,200);

	static Color GREEN_HILIGHT = new Color(20,160,20);
	static Color GREEN_NORMAL = new Color(20,140,20);
	static Color GREEN_SHADOW = new Color(10,120,10);

	static Color YELLOW_HILIGHT = new Color(255,255,128);
	static Color YELLOW_NORMAL = new Color(230,230,0);
	static Color YELLOW_SHADOW = new Color(191,191,40);

	static Color NULL_HILIGHT = new Color(180,180,180);
	static Color NULL_COLOR = new Color(194,194,194);
	static Color NULL_SHADOW = new Color(200,200,200);

	static Color EMBOSS_HILIGHT = new Color(245,245,245);
	static Color EMBOSS_COLOR = new Color(194,194,194);
	static Color EMBOSS_SHADOW = new Color(128,128,128);


	final static int X = 0;
	final static int Y = 1;

	final static int LINE = 0;
	final static int T = 1;
	final static int LEFT_S = 2;
	final static int RIGHT_S = 3;
	final static int LEFT_L = 4;
	final static int RIGHT_L = 5;
	final static int BOX = 6;
}


